<p align="center">
  <img src="https://raw.githubusercontent.com/getmatedev/mate/main/mate-logo.png" alt="Mate logo" width="150" />
</p>

# @getmate/compiler

Runtime distribution for the Mate compiler.

## Installation

```bash
bun add @getmate/compiler
```

## Usage

```js
import { Mate } from '@getmate/compiler';

const { compile } = await Mate();
const js = compile('<h1>Hello</h1>', 'hello-world');
```

## Binary Installation

This package includes binary install support via `install.js`.

Supported targets:

- `darwin-arm64`
- `linux-x64-gnu`
- `win32-x64-msvc`

## Binary Usage

Verify binary:

```bash
mate --version
```

Core commands:

```bash
mate ./component.mate
mate ./component.mate --out ./component.js
mate ./component.mate --ast
mate ./component.mate --captures
```

## WASM Runtime

- `wasm/matec.js`
- `wasm/matec.wasm`
